/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import java.text.DateFormat;
import java.text.SimpleDateFormat;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Adresse;
import de.jpainfo.model.Anrede;
import de.jpainfo.model.Kunde;


public class Test {
	
	private static final DateFormat format = new SimpleDateFormat("dd.MM.yyyy");

	public static void main(String[] args) throws Exception {
		
		Provider.select("eclipselink");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank");
		EntityManager em = emf.createEntityManager();

		em.getTransaction().begin();
		Kunde kunde = new Kunde("Max", "Mustermann", format.parse("29.7.1962"), Anrede.HERR);
		Adresse adresse = new Adresse("Goethestraße", "17 a", "12345", "Berlin");
		kunde.setAdresse(adresse);
		em.persist(kunde);
		em.persist(adresse);
		em.getTransaction().commit();

		em.detach(kunde);
		em.getEntityManagerFactory().getCache().evictAll();
		
		em.getTransaction().begin();
		Kunde kunde2 = em.find(Kunde.class, 1);
		System.out.println("Kundenvorname: " + kunde2.getVorname());
		System.out.println("Kunde " + kunde2 + " wohnt in " + kunde2.getAdresse());
		em.getTransaction().commit();
		
		
//		em.getTransaction().begin();
//		Kunde kunde2 = em.find(Kunde.class, 1);
//		kunde2.setAdresse(null);
//		kunde2.setAdresse(new Adresse("Schillerstraße", "111", "12345", "Berlin"));
//		em.remove(kunde2);
//		em.getTransaction().commit();

		

		em.clear();
		emf.close();
	}
}
